%define upstream_name    BDB
%define upstream_version 1.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Asynchronous Berkeley DB access
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/BDB
Source0:    http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense)
BuildRequires: db-devel
BuildRequires: perl-devel
Requires:   perl(common::sense)

%description
This is the Asynchronous Berkeley DB access API for Perl and DB 4.6.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.900.0-5.mga3
+ Revision: 363352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 31 2012 fwang <fwang> 1.900.0-4.mga3
+ Revision: 276375
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 1.900.0-3.mga3
+ Revision: 274836
- build db5

* Wed May 30 2012 jquelin <jquelin> 1.900.0-2.mga3
+ Revision: 250280
- rebuild for perl 5.16

* Wed Jan 04 2012 jquelin <jquelin> 1.900.0-1.mga2
+ Revision: 190271
- update to 1.9
- update to 1.89

* Sat Jun 11 2011 jquelin <jquelin> 1.880.0-3.mga2
+ Revision: 103459
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 1.880.0-2.mga1
+ Revision: 23191
- cleaning spec file
- imported package perl-BDB

